Bug 1006182 - [ja_JP] [es_ES] [it_IT] Satellite 5.6.0 QA Contents mislocated "Master Setup" vs"Slave Setup"
[ja_JP] [es_ES] [it_IT] Satellite 5.6.0 QA Contents mislocated "Master Setup"...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: i18n (Show other bugs)
560
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-09-10 03:32 EDT by Aiko
Modified: 2015-01-13 04:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:45:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents for Master vs Slave (1.32 KB, text/plain)
2013-09-10 03:33 EDT, Aiko
no flags Details
Slave (64.66 KB, image/png)
2013-09-10 03:53 EDT, Aiko
no flags Details
Master (49.71 KB, image/png)
2013-09-10 03:53 EDT, Aiko
no flags Details

  None (edit)
Description Aiko 2013-09-10 03:32:28 EDT
Description of problem:
Descriptions under the "Master Setup" sub-tab and those under the "Slave Setup" sub-tab might be opposite to each other. For example, on the ISS Configuration-Master Setup page, there is a description "Below are the slaves that are XXX, and the list of "Known Slave Instances" follows.

Version-Release number of selected component (if applicable):
560

How reproducible:
100%

Steps to Reproduce:
1.Click on Admin tab.
2.Click on ISS Configuration on the left pane.
3.Click on Master Setup and Slave Setup respectively.

Actual results:
Descriptions under the "Master Setup" sub-tab are about Slave setup while those under the "Slave Setup" sub-tab are about "Master Setup". 

Expected results:
On the ISS Configuration-Master Setup page, there is a description "Below are the slaves that are ..., and the list of "Known Slave Instances" follows, but these contents should be under "Slave Setup" and the contents under "Slave Setup" should move under "Master Setup."

Additional info:
Please refer to the attached screen shot for more details.
Comment 1 Aiko 2013-09-10 03:33:14 EDT
Created attachment 795875 [details]
contents for Master vs Slave
Comment 2 Aiko 2013-09-10 03:53:26 EDT
Created attachment 795885 [details]
Slave
Comment 3 Aiko 2013-09-10 03:53:52 EDT
Created attachment 795886 [details]
Master
Comment 4 Gladys Guerrero 2013-09-10 19:56:32 EDT
The same issue happens in Spanish
Comment 5 Francesco Valente 2013-09-10 21:44:56 EDT
SAme problem for Italian.
Comment 6 Stephen Herr 2013-09-16 14:09:17 EDT
Hmm.

Okay, I absolutely agree that this is confusing. However I think it is still correct as-is.

The "Master Setup" tab is where you go to set up this Satellite as a master, which means configuring the slaves that connect to it and the access they have.

The "Slave Setup" tab is where you go to set up this Satellite as a slave, which means configuring which master you want to connect to.

So I think the current naming is more correct than if the tab names were switched. However, given that this is confusing to many people who see it, I agree that there is room for improvement. Do you have a Suggestion as to what the tab names should be to make the situation more clear?
Comment 7 Aiko 2013-09-16 19:34:09 EDT
It might easier to understand if the page shows which Satellite is selected as a master, and if it clarifies which instance is the master, for example changing  the message "Below are the slaves that are allowed to synchronize content from this Red Hat Satellite instance." to "Below are the slaves that are allowed to synchronize content from this master Red Hat Satellite instance."
Please let me know if my understanding is not correct.
Comment 8 Stephen Herr 2013-10-03 14:30:48 EDT
A fine idea. Implemented in Spacewalk master:
07d1e597f1529456446f662007bbc0b537cca9c7
Comment 9 Clifford Perry 2015-01-13 04:45:21 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 - https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

NOTE: This specific bug did not get verified and being closed as assumed fixed. Please reopen if this is not resolved within the release. 

Cliff

Note You need to log in before you can comment on or make changes to this bug.